Bug 19849 - Rebase of bug 16621 partially reverted bug 12509
Summary: Rebase of bug 16621 partially reverted bug 12509
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Victor Grousset/tuxayo
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-12-20 08:49 UTC by Victor Grousset/tuxayo
Modified: 2019-10-14 19:57 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 19849: Minor fixes & refactor of opac-reserve.tt & opac-user.tt (5.20 KB, patch)
2017-12-21 17:28 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19849: Make a string translatable again after a rebase error (3.28 KB, patch)
2017-12-21 17:28 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 19849: Minor fixes & refactor of opac-reserve.tt & opac-user.tt (5.17 KB, patch)
2018-07-03 12:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19849: Make a string translatable again after a rebase error (3.17 KB, patch)
2018-07-03 12:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19849: Minor fixes & refactor of opac-reserve.tt & opac-user.tt (5.26 KB, patch)
2018-07-06 08:58 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19849: Make a string translatable again after a rebase error (3.27 KB, patch)
2018-07-06 08:58 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Grousset/tuxayo 2017-12-20 08:49:48 UTC
Causing a string to become untranslatable again.

This is the first attachment that reverted the relevant part of bug 16621
See the first part of the diff.
https://bugs.koha-community.org/bugzilla3/attachment.cgi?id=53252&action=diff
Comment 1 Victor Grousset/tuxayo 2017-12-21 17:28:18 UTC Comment hidden (obsolete)
Comment 2 Victor Grousset/tuxayo 2017-12-21 17:28:21 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2018-07-03 12:48:13 UTC
Created attachment 76650 [details] [review]
Bug 19849: Minor fixes & refactor of opac-reserve.tt & opac-user.tt

- make next patch easely reviewable.
- fix lone quote. (Replace by <strong>
- add forgotten condition for 9999-12-31

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Owen Leonard 2018-07-03 12:48:16 UTC
Created attachment 76651 [details] [review]
Bug 19849: Make a string translatable again after a rebase error

Bug 16621 reverted part of bug 12509
1. Log in the OPAC and staff interface
2. Restrict the user logged in the OPAC (restricting yourself works)
   Staff interface → Patron page → Restrictions → Add manual restriction
   Put this comment the "OVERDUES_PROCESS Give the books back or we're comming!"
3. Install the fr_FR locale and switch the interface to it
4. Go to OPAC: /cgi-bin/koha/opac-user.pl
5. Then you should see the ugly comment with "OVERDUES_PROCESS"
6. Apply this patch
7. Update the translation: ./translate update or equivalent
8. Open misc/translator/po/fr-FR-opac-bootstrap.po
9. Find the string containing "Restriction added by overdues process"
10. Remove the fuzzy flag
11. Install the language
12. Refresh the page in the OPAC
13. Then you should see the translation + the comment instead of "OVERDUES_PROCESS" + the comment

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Marcel de Rooy 2018-07-06 08:58:20 UTC
Created attachment 76719 [details] [review]
Bug 19849: Minor fixes & refactor of opac-reserve.tt & opac-user.tt

- make next patch easely reviewable.
- fix lone quote. (Replace by <strong>
- add forgotten condition for 9999-12-31

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Marcel de Rooy 2018-07-06 08:58:24 UTC
Created attachment 76720 [details] [review]
Bug 19849: Make a string translatable again after a rebase error

Bug 16621 reverted part of bug 12509
1. Log in the OPAC and staff interface
2. Restrict the user logged in the OPAC (restricting yourself works)
   Staff interface → Patron page → Restrictions → Add manual restriction
   Put this comment the "OVERDUES_PROCESS Give the books back or we're comming!"
3. Install the fr_FR locale and switch the interface to it
4. Go to OPAC: /cgi-bin/koha/opac-user.pl
5. Then you should see the ugly comment with "OVERDUES_PROCESS"
6. Apply this patch
7. Update the translation: ./translate update or equivalent
8. Open misc/translator/po/fr-FR-opac-bootstrap.po
9. Find the string containing "Restriction added by overdues process"
10. Remove the fuzzy flag
11. Install the language
12. Refresh the page in the OPAC
13. Then you should see the translation + the comment instead of "OVERDUES_PROCESS" + the comment

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Nick Clemens 2018-07-06 14:43:25 UTC
Awesome work all!

Pushed to master for 18.11
Comment 8 Martin Renvoize 2018-07-10 06:59:34 UTC
Pushed to 18.05.x for 18.05.02
Comment 9 Fridolin Somers 2018-07-12 07:09:03 UTC
Pushed to 17.11.x for 17.11.08